require 'lib/dhcp/version'
require 'lib/dhcp/options'
require 'lib/dhcp/packet'
require 'lib/dhcp/exception'

require 'lib/dhcp/messages/message'
require 'lib/dhcp/messages/discover'
require 'lib/dhcp/messages/offer'
require 'lib/dhcp/messages/request'
require 'lib/dhcp/messages/decline'
require 'lib/dhcp/messages/ack'
require 'lib/dhcp/messages/nack'
require 'lib/dhcp/messages/release'
require 'lib/dhcp/messages/inform'
require 'lib/dhcp/messages/lease_query'
require 'lib/dhcp/messages/lease_unassigned'
require 'lib/dhcp/messages/lease_unknown'
require 'lib/dhcp/messages/lease_active'

require 'lib/dhcp/options/option'
require 'lib/dhcp/options/option0'
require 'lib/dhcp/options/option1'
require 'lib/dhcp/options/option2'
require 'lib/dhcp/options/option3'
require 'lib/dhcp/options/option4'
require 'lib/dhcp/options/option5'
require 'lib/dhcp/options/option6'
require 'lib/dhcp/options/option7'
require 'lib/dhcp/options/option8'
require 'lib/dhcp/options/option9'
require 'lib/dhcp/options/option10'
require 'lib/dhcp/options/option11'
require 'lib/dhcp/options/option12'
require 'lib/dhcp/options/option13'
require 'lib/dhcp/options/option14'
require 'lib/dhcp/options/option15'
require 'lib/dhcp/options/option16'
require 'lib/dhcp/options/option17'
require 'lib/dhcp/options/option18'
require 'lib/dhcp/options/option19'
require 'lib/dhcp/options/option20'
require 'lib/dhcp/options/option21'
require 'lib/dhcp/options/option22'
require 'lib/dhcp/options/option23'
require 'lib/dhcp/options/option24'
require 'lib/dhcp/options/option25'
require 'lib/dhcp/options/option26'
require 'lib/dhcp/options/option27'
require 'lib/dhcp/options/option28'
require 'lib/dhcp/options/option29'
require 'lib/dhcp/options/option30'
require 'lib/dhcp/options/option31'
require 'lib/dhcp/options/option32'
require 'lib/dhcp/options/option33'
require 'lib/dhcp/options/option34'
require 'lib/dhcp/options/option35'
require 'lib/dhcp/options/option36'
require 'lib/dhcp/options/option37'
require 'lib/dhcp/options/option38'
require 'lib/dhcp/options/option39'
require 'lib/dhcp/options/option40'
require 'lib/dhcp/options/option41'
require 'lib/dhcp/options/option42'
require 'lib/dhcp/options/option43'
require 'lib/dhcp/options/option44'
require 'lib/dhcp/options/option45'
require 'lib/dhcp/options/option46'
require 'lib/dhcp/options/option47'
require 'lib/dhcp/options/option48'
require 'lib/dhcp/options/option49'
require 'lib/dhcp/options/option50'
require 'lib/dhcp/options/option51'
require 'lib/dhcp/options/option52'
require 'lib/dhcp/options/option53'
require 'lib/dhcp/options/option54'
require 'lib/dhcp/options/option55'
require 'lib/dhcp/options/option56'
require 'lib/dhcp/options/option57'
require 'lib/dhcp/options/option58'
require 'lib/dhcp/options/option59'
require 'lib/dhcp/options/option60'
require 'lib/dhcp/options/option61'
require 'lib/dhcp/options/option62'
require 'lib/dhcp/options/option63'
require 'lib/dhcp/options/option64'
require 'lib/dhcp/options/option65'
require 'lib/dhcp/options/option66'
require 'lib/dhcp/options/option67'
require 'lib/dhcp/options/option68'
require 'lib/dhcp/options/option69'
require 'lib/dhcp/options/option70'
require 'lib/dhcp/options/option71'
require 'lib/dhcp/options/option72'
require 'lib/dhcp/options/option73'
require 'lib/dhcp/options/option74'
require 'lib/dhcp/options/option75'
require 'lib/dhcp/options/option76'
require 'lib/dhcp/options/option77'
require 'lib/dhcp/options/option78'
require 'lib/dhcp/options/option79'
require 'lib/dhcp/options/option80'
require 'lib/dhcp/options/option81'
require 'lib/dhcp/options/option82'
require 'lib/dhcp/options/option83'
require 'lib/dhcp/options/option84'
require 'lib/dhcp/options/option85'
require 'lib/dhcp/options/option86'
require 'lib/dhcp/options/option87'
require 'lib/dhcp/options/option88'
require 'lib/dhcp/options/option89'
require 'lib/dhcp/options/option90'
require 'lib/dhcp/options/option91'
require 'lib/dhcp/options/option92'
require 'lib/dhcp/options/option93'
require 'lib/dhcp/options/option94'
require 'lib/dhcp/options/option95'
require 'lib/dhcp/options/option96'
require 'lib/dhcp/options/option97'
require 'lib/dhcp/options/option98'
require 'lib/dhcp/options/option99'
require 'lib/dhcp/options/option100'
require 'lib/dhcp/options/option101'
require 'lib/dhcp/options/option102'
require 'lib/dhcp/options/option103'
require 'lib/dhcp/options/option104'
require 'lib/dhcp/options/option105'
require 'lib/dhcp/options/option106'
require 'lib/dhcp/options/option107'
require 'lib/dhcp/options/option108'
require 'lib/dhcp/options/option109'
require 'lib/dhcp/options/option110'
require 'lib/dhcp/options/option111'
require 'lib/dhcp/options/option112'
require 'lib/dhcp/options/option113'
require 'lib/dhcp/options/option114'
require 'lib/dhcp/options/option115'
require 'lib/dhcp/options/option116'
require 'lib/dhcp/options/option117'
require 'lib/dhcp/options/option118'
require 'lib/dhcp/options/option119'
require 'lib/dhcp/options/option120'
require 'lib/dhcp/options/option121'
require 'lib/dhcp/options/option122'
require 'lib/dhcp/options/option123'
require 'lib/dhcp/options/option124'
require 'lib/dhcp/options/option125'
require 'lib/dhcp/options/option126'
require 'lib/dhcp/options/option127'
require 'lib/dhcp/options/option128'
require 'lib/dhcp/options/option129'
require 'lib/dhcp/options/option130'
require 'lib/dhcp/options/option131'
require 'lib/dhcp/options/option132'
require 'lib/dhcp/options/option133'
require 'lib/dhcp/options/option134'
require 'lib/dhcp/options/option135'
require 'lib/dhcp/options/option136'
require 'lib/dhcp/options/option137'
require 'lib/dhcp/options/option138'
require 'lib/dhcp/options/option139'
require 'lib/dhcp/options/option140'
require 'lib/dhcp/options/option141'
require 'lib/dhcp/options/option142'
require 'lib/dhcp/options/option143'
require 'lib/dhcp/options/option144'
require 'lib/dhcp/options/option145'
require 'lib/dhcp/options/option146'
require 'lib/dhcp/options/option147'
require 'lib/dhcp/options/option148'
require 'lib/dhcp/options/option149'
require 'lib/dhcp/options/option150'
require 'lib/dhcp/options/option151'
require 'lib/dhcp/options/option152'
require 'lib/dhcp/options/option153'
require 'lib/dhcp/options/option154'
require 'lib/dhcp/options/option155'
require 'lib/dhcp/options/option156'
require 'lib/dhcp/options/option157'
require 'lib/dhcp/options/option158'
require 'lib/dhcp/options/option159'
require 'lib/dhcp/options/option160'
require 'lib/dhcp/options/option161'
require 'lib/dhcp/options/option162'
require 'lib/dhcp/options/option163'
require 'lib/dhcp/options/option164'
require 'lib/dhcp/options/option165'
require 'lib/dhcp/options/option166'
require 'lib/dhcp/options/option167'
require 'lib/dhcp/options/option168'
require 'lib/dhcp/options/option169'
require 'lib/dhcp/options/option170'
require 'lib/dhcp/options/option171'
require 'lib/dhcp/options/option172'
require 'lib/dhcp/options/option173'
require 'lib/dhcp/options/option174'
require 'lib/dhcp/options/option175'
require 'lib/dhcp/options/option176'
require 'lib/dhcp/options/option177'
require 'lib/dhcp/options/option178'
require 'lib/dhcp/options/option179'
require 'lib/dhcp/options/option180'
require 'lib/dhcp/options/option181'
require 'lib/dhcp/options/option182'
require 'lib/dhcp/options/option183'
require 'lib/dhcp/options/option184'
require 'lib/dhcp/options/option185'
require 'lib/dhcp/options/option186'
require 'lib/dhcp/options/option187'
require 'lib/dhcp/options/option188'
require 'lib/dhcp/options/option189'
require 'lib/dhcp/options/option190'
require 'lib/dhcp/options/option191'
require 'lib/dhcp/options/option192'
require 'lib/dhcp/options/option193'
require 'lib/dhcp/options/option194'
require 'lib/dhcp/options/option195'
require 'lib/dhcp/options/option196'
require 'lib/dhcp/options/option197'
require 'lib/dhcp/options/option198'
require 'lib/dhcp/options/option199'
require 'lib/dhcp/options/option200'
require 'lib/dhcp/options/option201'
require 'lib/dhcp/options/option202'
require 'lib/dhcp/options/option203'
require 'lib/dhcp/options/option204'
require 'lib/dhcp/options/option205'
require 'lib/dhcp/options/option206'
require 'lib/dhcp/options/option207'
require 'lib/dhcp/options/option208'
require 'lib/dhcp/options/option209'
require 'lib/dhcp/options/option210'
require 'lib/dhcp/options/option211'
require 'lib/dhcp/options/option212'
require 'lib/dhcp/options/option213'
require 'lib/dhcp/options/option214'
require 'lib/dhcp/options/option215'
require 'lib/dhcp/options/option216'
require 'lib/dhcp/options/option217'
require 'lib/dhcp/options/option218'
require 'lib/dhcp/options/option219'
require 'lib/dhcp/options/option220'
require 'lib/dhcp/options/option221'
require 'lib/dhcp/options/option222'
require 'lib/dhcp/options/option223'
require 'lib/dhcp/options/option224'
require 'lib/dhcp/options/option225'
require 'lib/dhcp/options/option226'
require 'lib/dhcp/options/option227'
require 'lib/dhcp/options/option228'
require 'lib/dhcp/options/option229'
require 'lib/dhcp/options/option230'
require 'lib/dhcp/options/option231'
require 'lib/dhcp/options/option232'
require 'lib/dhcp/options/option233'
require 'lib/dhcp/options/option234'
require 'lib/dhcp/options/option235'
require 'lib/dhcp/options/option236'
require 'lib/dhcp/options/option237'
require 'lib/dhcp/options/option238'
require 'lib/dhcp/options/option239'
require 'lib/dhcp/options/option240'
require 'lib/dhcp/options/option241'
require 'lib/dhcp/options/option242'
require 'lib/dhcp/options/option243'
require 'lib/dhcp/options/option244'
require 'lib/dhcp/options/option245'
require 'lib/dhcp/options/option246'
require 'lib/dhcp/options/option247'
require 'lib/dhcp/options/option248'
require 'lib/dhcp/options/option249'
require 'lib/dhcp/options/option250'
require 'lib/dhcp/options/option251'
require 'lib/dhcp/options/option252'
require 'lib/dhcp/options/option253'
require 'lib/dhcp/options/option254'
require 'lib/dhcp/options/option255'